Subject: [AVT] Re: DTS delta is always positive?

From: [email-masked]
Date: Thu, 13 Sep 2001 11:36:47 +0200

Yes you are right on both points

1. your fix of the text is now logged for incorporation in the next 
version

2. this error in page 26 has been spoted already and is logged for fixing 
in the next version as well

Thanks for your attentive reading !

Regards,

PS: I maintain a "log of future fixes" for draft-ietf-avt-mpeg-4-multiSL,
that will become a "list of changes" as soon as the new version
is cooked, unfortunately I have no website for it, but if anyone wants it
I can send it by Email.

Philippe Gentric
Software architect
Philips Digital Networks - MP4Net
51 rue Carnot B.P. 301
92156 Suresnes FRANCE
tel: +33(0)147283740
fax: +33(0)147283725
[email-masked]
http://www.mpeg-4.philips.com

To:     Philippe Gentric/LIM/CE/PHILIPS@EMEA1
cc:     <[email-masked]> 
Subject:        Re: DTS delta is always positive?
Classification: 

Dear Philippe,

Thanks for your reply,

From your pseudo code, the respective values of CTS, DTS, DTSDelta are
following based on the my previous example.

From encoding side :
> CTS                    4            5            6            7 0
(8)    1(9)      2(10)
> DTS                    3            4            5            6 7
0(8)      1(9)
> DTSDelta          1            1            1            1           1
1          1

From decoding side :
> CTS                    4            5            6            7
0(8)       1(9)      2(10)
> DTSDelta          1            1            1            1          1
1          1
> DTS                    3            4            5            6 7
8          9

It seems to work. But some modification in the draft will be needed I 
think.
For example, the actual TimeStamp(virtual unlimited precision version) and
encoded TimeStamp need to be treated differently.
As a result, DTSDelta = acutal CompositionTimeStamp - actual
DecodingTimeStamp.

One more thing to look into.
On the page 26 in the draft, it says that
SLPacketHeader.decodingTimeStamp(i) = RTP TimeStamp + MSLH.DTSDelta(i).
It's a minor mistake, isn't it?

Best Wishes,

Sang-ug Kang
Personal Internet Computing Team
Samsung Electronics Company
82-31-200-3746
[email-masked]

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, September 13, 2001 12:56 AM
Subject: Re: DTS delta is always positive?

> Dear Sang-ug Kang,
>
> very good question indeed !
>
> I copy this to the avt reflector!
>
> AVT people, this is about:     >>draft-ietf-avt-mpeg-4-multiSL<<
>
> see the question attached
>
> my temptative answer would be:
>
> DTS <= CTS by MPEG fundamental definition,
> because you must Decode before you can Compose ...
> (Amen ;-)
>
> Having called for help one sacred principle of MPEG
> (sounds like some kind of sect, doesn't it ?)
> I conclude that this definition always applies,
> even in case of roll-over :-)
>
> Then the logical  solution is to assume that the
> *computation * has to be performed in "virtual unlimited precision"
> or if you prefer "take roll over into account first."
> the pseudo code would be:
>
> 1. compute roll over corrected CTS
> ==> in your example CTS  * is*  8 ... (and not 0!)
>
> 2. compute roll over corrected DTS
> ==> in your example DTS  is  7 ...
>
> 3. compute DTSDelta as the defiference of this roll-over corrected 
values:
> ==> in your exmaple DTSDelta * is* 1 ...
>
> *********
>
> What do you think ?
>
> Comments anybody ?
>
> Last but not least: do I need to document this in the draft ?
> (or is this a sender-side  implementation detail ?)
>
> Regards,
>
>
> Philippe Gentric
> Software architect
> Philips Digital Networks - MP4Net
> 51 rue Carnot B.P. 301
> 92156 Suresnes FRANCE
> tel: +33(0)147283740
> fax: +33(0)147283725
> [email-masked]
> http://www.mpeg-4.philips.com
>
>
>
> To:     Philippe Gentric/LIM/CE/PHILIPS@EMEA1
> cc:
> Subject:        DTS delta is always positive?
> Classification:
>
>
> Dear Philippe,
>
> I have a question on DTSDelta.
> In  draft_ietf_avt_mpeg4_multiSL-01.txt, it says that DTSDelta is always
> positive.
>
> But let me show you following example.
>
> --------------------------------------------
> SLConfigDescriptor
> --------------------------------------------
> useTimeStampFlag = 1;
> TimeStampResolution = 1000;
> TimeStampLength = 3;
>
> 
--------------------------------------------------------------------------
----------------
> CTS                    4            5            6            7 0   1 2
> DTS                    3            4            5            6 7   0 1
> DTSDelta          1            1            1            1            -7
>       1            1
--------------------------------------------------------------------------
----------------
>
> I see there are some cases that DTSDelta is not positive when CTS wraps
> around(not always).
>
> Please let me understand what happens in this case.
>
> Thank you in advance.
>
>
> Sang-ug Kang
>
> Personal Internet Computing Team
> Samsung Electronics Company
> 82-31-200-3746
> [email-masked]
>
>
>
>
>

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
http://www1.ietf.org/mailman/listinfo/avt